Corazones

GET https://monitor.sanchezcolomb.com/api/heartbeats/
curl --request GET \
--url 'https://monitor.sanchezcolomb.com/api/heartbeats/' \
--header 'Authorization: Bearer {api_key}' \
Parámetros Detalles Descripción
search Facultativo String La cadena de búsqueda.
search_by Facultativo String ¿Qué campo busca? Los valores permitidos son: name.
is_enabled Facultativo Boolean
project_id Facultativo Integer
datetime_field Facultativo String Valores permitidos: datetime, last_datetime, last_run_datetime
datetime_start Facultativo String Filtra resultados desde esta fecha y hora. Formato Y-m-d H:i:s.
datetime_end Facultativo String Filtra resultados hasta esta fecha y hora. Formato Y-m-d H:i:s.
order_by Facultativo String Qué campo para ordenar los resultados. Los valores permitidos son: heartbeat_id, datetime, last_datetime, last_run_datetime, name, uptime.
order_type Facultativo String El orden de los resultados. Valores permitidos: ASC para ascendente y DESC para descendente.
page Facultativo Integer El número de página del que quieres resultados. Por defecto 1.
results_per_page Facultativo Integer Cuántos resultados quieres por página. Los valores permitidos son: 10, 25, 50, 100, 250, 500, 1000. Predeterminados a 25.
{
    "data": [
        {
            "id": 1,
            "project_id": 0,
            "name": "Demo cron",
            "code": "12345678901112131415",
            "settings": {
                "run_interval": 1,
                "run_interval_type": "minutes",
                "run_interval_grace": 1,
                "run_interval_grace_type": "seconds"
            },
            "is_ok": 1,
            "uptime": 75.5,
            "downtime": 24.5,
            "total_runs": 50,
            "total_missed_runs": 15,
            "last_run_datetime": "2021-03-30 19:17:22",
            "notifications": {
                "email_is_enabled": 0,
                "webhook": "",
                "slack": "",
                "twilio": ""
            },
            "is_enabled": true,
            "datetime": "2026-10-12 01:19:26",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://monitor.sanchezcolomb.com/api/heartbeats?page=1",
        "last": "https://monitor.sanchezcolomb.com/api/heartbeats?page=1",
        "next": null,
        "prev": null,
        "self": "https://monitor.sanchezcolomb.com/api/heartbeats?page=1"
    }
}
GET https://monitor.sanchezcolomb.com/api/heartbeats/{heartbeat_id}
curl --request GET \
--url 'https://monitor.sanchezcolomb.com/api/heartbeats/{heartbeat_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "project_id": 0,
        "name": "Demo cron",
        "code": "12345678901112131415",
        "settings": {
            "run_interval": 1,
            "run_interval_type": "minutes",
            "run_interval_grace": 1,
            "run_interval_grace_type": "seconds"
        },
        "is_ok": 1,
        "uptime": 75.5,
        "downtime": 24.5,
        "total_runs": 50,
        "total_missed_runs": 15,
        "last_run_datetime": "2021-03-30 19:17:22",
        "notifications": {
            "email_is_enabled": 0,
            "webhook": "",
            "slack": "",
            "twilio": ""
        },
        "is_enabled": true,
        "datetime": "2026-10-12 01:19:26",
    }
}
POST https://monitor.sanchezcolomb.com/api/heartbeats
Parámetros Detalles Descripción
name Necesario String -
run_interval Facultativo Integer -
run_interval_type Facultativo String Valores permitidos: seconds, minutes, hours, days
run_interval_grace Facultativo Integer -
run_interval_grace_type Facultativo String Valores permitidos: seconds, minutes, hours, days
is_ok_notifications Facultativo Array Controlador de notificaciones ids
is_enabled Facultativo Boolean -
curl --request POST \
--url 'https://monitor.sanchezcolomb.com/api/heartbeats' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
{
    "data": {
        "id": 1
    }
}
POST https://monitor.sanchezcolomb.com/api/heartbeats/{heartbeat_id}
Parámetros Detalles Descripción
name Facultativo String -
run_interval Facultativo Integer -
run_interval_type Facultativo String Valores permitidos: seconds, minutes, hours, days
run_interval_grace Facultativo Integer -
run_interval_grace_type Facultativo String Valores permitidos: seconds, minutes, hours, days
is_ok_notifications Facultativo Array Controlador de notificaciones ids
is_enabled Facultativo Boolean -
curl --request POST \
--url 'https://monitor.sanchezcolomb.com/api/heartbeats/{heartbeat_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
    "data": {
        "id": 1
    }
}
DELETE https://monitor.sanchezcolomb.com/api/heartbeats/{heartbeat_id}
curl --request DELETE \
--url 'https://monitor.sanchezcolomb.com/api/heartbeats/{heartbeat_id}' \
--header 'Authorization: Bearer {api_key}' \